.encabezado{
    width: 100%;
    overflow: hidden;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.5);
}

.encabezado img{
    width: 100%;
    height: auto;
}

body{
    font-family: 'Roboto', sans-serif;
    padding: 3%;
    margin: 0;
    background-image: url(../../../imagen/fondo.png);
    background-size: cover;
    background-position: center; /* Centrar la imagen */
    background-repeat: no-repeat; /* No repetir la imagen */
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh; /* Ajustar a la altura completa de la ventana */
    position: relative;
    overflow: auto;
}

.container_padre{
    background-color: rgba(0, 51, 102, 0.9);
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
    text-align: center;
    margin-top: 100px;
    position: relative;
    z-index: 1;
    width: calc(100% - 40px);
    max-width: 800px;


  /*  border: 3px solid #ff19ff; */

}

.container_formulario{

    /* border: 3px solid #2cff19; */

    background-color: rgba(0, 51, 102, 0.8);
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
    z-index: 2;
    max-height: 80%;
    overflow-y: auto;
    margin-top: 10px;
    width: calc(100% - 40px);
}


.form{

   /* border: 2px solid #ff8019;*/

    display: grid;

    grid-template-rows: repeat(8,1fr);
    grid-template-columns: repeat(2, 1fr);

    
    
    grid-template-areas: "TITULO TITULO"
                        "NAME LASTNAME" 
                        "EMAIL CONFIRM_EMAIL"
                        "PASSWORD CONFIRM_PASSWORD"
                        "SUB SUB"
                        "CATEGORIA TIPO"
                        "CAPTCHA CAPTCHA"
                        "SUBMIT SUBMIT";   
                        
    grid-gap: 20px;
  
    
}

.titulo{
    grid-area: TITULO;
    font-size: 28px;
    font-family: 'Roboto', sans-serif;
    font-weight: bold;
    color: white;
    text-align: center;
    align-content: center;
}


.selector_father{
    grid-area: CATEGORIA;
    width: 80%;
    margin-left: 20px;
    align-content: center; /* Alinear al centro */
}

.selector_hijo{
    grid-area: TIPO;
    width: 80%;
    margin-right: 20px;
    justify-self: flex-start; /* Alinear a la izquierda */
    align-content: center; /* Alinear al centro */
}

.sub-title{
    grid-area: SUB;
    font-size: 28px;
    font-family: 'Roboto', sans-serif;
    font-weight: bold;
    color: white;
    text-align: center;
    align-content: center;
}

label{
    font-family: 'Roboto', sans-serif;
    font-weight: bold;

}

.label-palabras-cortas{

    margin-right: 200px;

}

.label-confirm-email, .label-confirm-password{

    margin-right: 140px; 

}



.input-name{

    grid-area: NAME;
    width: 80%;
    margin-left: 20px;
    align-content: center; /* Alinear al centro */
    

    
}

.input-lastname{

    grid-area: LASTNAME;
    width: 80%;
    margin-right: 20px;
    justify-self: flex-start; /* Alinear a la izquierda */
    align-content: center; /* Alinear al centro */
    
    
}

.input-email{

    grid-area: EMAIL;
    width: 80%;
    margin-left: 20px;
    
    align-content: center; /* Alinear al centro */
    
}

.input-email-confirm{
    
    grid-area: CONFIRM_EMAIL;
    width: 80%;
    margin-right: 20px;
    align-content: center; /* Alinear al centro */
    justify-self: flex-start; /* Alinear a la izquierda */

    
}

.input-password{

    grid-area: PASSWORD;
    width: 80%;
    margin-left: 20px;
    align-content: center; /* Alinear al centro */
    
}

.input-password-confirm{

    grid-area: CONFIRM_PASSWORD;
    width: 80%;
    margin-right: 20px;
    justify-self: flex-start; /* Alinear a la izquierda */
    align-content: center; /* Alinear al centro */
    
}



.input-enviar{

    grid-area: SUBMIT;
    background-color: #1492ec;
    color: white;
    border: none;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 18px;
    margin: 10px;
    width: 80%;
    justify-self: center;
}
.input-enviar:hover{
    background-color: #1c6192;
}



/* Aqui va el css del los campos */

.selector-style{
    width: 110%;
    height: 60%;
    padding: 10px;
    border-radius: 5px;
    border-style: none;
    margin: 10px;
    margin-bottom: 30px;
}

.campo-name{
    
    width: 100%;
    height: 35%;
    padding: 10px;
    border-radius: 5px;
    border-style: none;
    margin: 10px;

}

.campo-lastname{
    width: 100%;
    height: 35%;
    padding: 10px;
    border-radius: 5px;
    border-style: none;
    margin: 10px;  
    
}

.campo-correo{
    width: 100%;
    height: 35%;
    padding: 10px;
    border-radius: 5px;
    border-style: none;
    margin: 10px;  
}

.campo-confirm-correo{
    width: 100%;
    height: 35%;
    padding: 10px;
    border-radius: 5px;
    border-style: none;
    margin: 10px;  
}

.campo-contraseña{
    width: 100%;
    height: 35%;
    padding: 10px;
    border-radius: 5px;
    border-style: none;
    margin: 10px;  
}

.campo-confirm-contraseña{
    width: 100%;
    height: 35%;
    padding: 10px;
    border-radius: 5px;
    border-style: none;
    margin: 10px;  
}



.captcha{
    grid-area: CAPTCHA;
    
    margin-left: 20px;
    align-content: center; /* Alinear al centro */
    justify-self: center; /* Alinear al centro */
}







/* Aqui va el css del pie de pagina */

.footer {
    text-align: center;
    padding: 10px;
    background-color: rgba(0, 51, 102, 0.524);
    color: white;
    width: 100%;
    position: relative;
    bottom: 0;
}
.social-title {
    text-align: center;
}
.interest-section {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin: 20px auto;
    max-width: 500px;
}
.interest-button {
    display: inline-block;
    width: 180px;
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
    text-align: center;
    cursor: pointer;
}
.interest-button img {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    object-fit: cover;
}
.interest-button:hover {
    transform: scale(1.2);
}
.social-container {
    display: flex;
    justify-content: center;
    gap: 110px;
    margin-top: 30px;
    background-color: rgba(255, 255, 255, 0.2); /* Cuadro transparente */
    padding: 10px;
    border-radius: 50px;
}
.social-button {
    width: 80px;
    height: 80px;
    cursor: pointer;
    transition: transform 0.3s;
}
.social-button:hover {
    transform: scale(1.2); /* Aumentar tamaño al pasar el mouse */
}
.sub-menu-container {
    display: none;
    margin-top: 10px;
}
.sub-menu-container.active {
    display: block;
}
.menu-item img {
    width: 40px; /* Ajusta el tamaño según sea necesario */
    height: 40px; /* Ajusta el tamaño según sea necesario */
    object-fit: cover;
    border-radius: 5px;
}
.menu-item img.system-line {
    width: auto;
    height: 40px; /* Ajusta el tamaño según sea necesario */
}
.menu-buttons {
    display: flex;
    flex-direction: column; /* Cambiar a columna */
    align-items: center;
    gap: 20px;
}
.menu-item img.system-line {
    width: auto;
    height: 40px; /* Ajusta el tamaño según sea necesario */
    margin-right: 10px; /* Espacio entre la imagen y el texto */
}



.ok {
    color: green;
    background-color: #d4edda;
    border: 1px solid #c3e6cb;
    padding: 10px;
    margin: 10px 0;
}

.fatal {
    color: red;
    background-color: #f8d7da;
    border: 1px solid #f5c6cb;
    padding: 10px;
    margin: 10px 0;
}

.bad {
    color: red;
    background-color: #f8d7da;
    border: 1px solid #f5c6cb;
    padding: 10px;
    position: absolute;
    width: 100%;
}


.message-container{
    position: absolute;
    border-radius: 5px;
    text-align: center;
    font-weight: bold;
    width: 400px;
    height: 80px;
    margin-top: 12%;    
}








/* Aqui van los media@ */


@media screen and (max-width: 855px){
    .form{
        grid-template-areas: "TITULO TITULO"
                            "NAME NAME"
                            "LASTNAME LASTNAME"
                            "EMAIL EMAIL"
                            "CONFIRM_EMAIL CONFIRM_EMAIL"
                            "PASSWORD PASSWORD"
                            "CONFIRM_PASSWORD CONFIRM_PASSWORD"
                            "SUB SUB"
                            "CATEGORIA CATEGORIA"
                            "TIPO TIPO"
                            "CAPTCHA CAPTCHA"
                            "SUBMIT SUBMIT";
    }

    .input-name, .input-lastname, .input-email, .input-email-confirm, .input-password, .input-password-confirm{
        margin-left: 20px;   
    }

    .container_padre{
        width: 80%;
        margin-left: 30px;
        
    }

    .container_formulario{
        margin-left: 10px;
    }

    body{
        margin-left: 2%;
    }

    .social-container {
        gap: 50px;
    }

    .footer {
        margin: 10px 20px 10px 10px;
    }

    .label-palabras-cortas{
        margin-right: 0;
    }

    .label-confirm-email, .label-confirm-password{
        margin-right: 0; 
    }

}

@media screen and (max-width: 600px){
    .form{
        grid-template-areas: "TITULO TITULO"
                            "NAME NAME"
                            "LASTNAME LASTNAME"
                            "EMAIL EMAIL"
                            "CONFIRM_EMAIL CONFIRM_EMAIL"
                            "PASSWORD PASSWORD"
                            "CONFIRM_PASSWORD CONFIRM_PASSWORD"
                            "CAPTCHA CAPTCHA"
                            "SUBMIT SUBMIT";
    }

    .input-name, .input-lastname, .input-email, .input-email-confirm, .input-password, .input-password-confirm{
        margin-left: 10px;   
    }

    .titulo{
        font-size: 25px;
    }

    .container_padre{
        width: 80%;
        margin-left: 30px;
        
    }

    .container_formulario{
        margin-left: 10px;
    }

    body{
        width: 115%;
    }

    .social-container {
        gap: 40px;
    }

    .footer {
        margin: 10px 30px 10px 20px;
    }

    .interest-section {
        gap: 20px;
        max-width: 100px;

    }

    .captcha{
        margin-right: 50px;
    }
    
}



@media screen and (max-width: 400px){
    .form{
        grid-template-areas: "TITULO TITULO"
                            "NAME NAME"
                            "LASTNAME LASTNAME"
                            "EMAIL EMAIL"
                            "CONFIRM_EMAIL CONFIRM_EMAIL"
                            "PASSWORD PASSWORD"
                            "CONFIRM_PASSWORD CONFIRM_PASSWORD"
                            "CAPTCHA CAPTCHA"
                            "SUBMIT SUBMIT";
    }

    .input-name, .input-lastname, .input-email, .input-email-confirm, .input-password, .input-password-confirm{
        margin-left: 10px;   
    }

    .titulo{
        font-size: 19px;
    }

    .container_padre{
        width: 80%;
        margin-left: 30px;
        
    }

    .container_formulario{
        margin-left: 10px;
    }

    body{
        width: 115%;
    }

    label{
        font-size: 15px;
        margin-left: 30px;
    }

    .social-container {
        gap: 30px;
    }

    .footer {
        margin: 10px 10px 10px 30px;
    }

    .interest-section {
        gap: 20px;
        

    }

    .label-confirm-email, .label-confirm-password{
        margin-left: 50px; 
    }

    .captcha{
        width: 50%;
        justify-items: center;
        margin-right: 20px;
    }

   
}

